--//

local function drawTitleInfo(v)	
	kFuncs.title_tics = $ + 1
	
	local x, y = (234 * FRACUNIT), (128 * FRACUNIT)
	local flags = V_SNAPTORIGHT
	
	local anim = ease.outquint((FRACUNIT / TICRATE) * max(0, min(kFuncs.title_tics, TICRATE)), (640 * FRACUNIT), x)
	local scroll_anim = FixedMul(40 * FRACUNIT, FixedDiv(kFuncs.title_tics % 70, 70))
	
	v.drawScaled(anim + (46 * FRACUNIT), -(40 * FRACUNIT) + scroll_anim, FRACUNIT, v.cachePatch("KT_CHECK"), flags | V_SNAPTOTOP, nil)	

	v.drawScaled(anim, y, FRACUNIT / 4, v.cachePatch("KT_BANNR"), flags | V_SNAPTOBOTTOM, nil)
	v.drawScaled(anim, y + (25 * FRACUNIT), FRACUNIT / 4, v.cachePatch("KT_KART"), flags | V_SNAPTOBOTTOM, nil)
end
hud.add(drawTitleInfo, "title")

--//