--//

local function drawTeamInfo(v, player)
	if not (gametyperules & GTR_TEAMS) then return end
	if not kFuncs.isValid(player) then return end

	local x, y = 9, 10
	local flags = V_SNAPTOTOP | V_SNAPTORIGHT | V_HUDTRANS | V_PERPLAYER
	
	local skincolor_redflash = SKINCOLOR_SUPERRED1 + abs(((leveltime >> 1) % 9) - 4)
	
	v.draw(x, y, v.cachePatch("K_SMOLSTK"), flags, nil)
	v.draw(x + 6, y - 2, v.cachePatch("KF_BUMP"), flags, v.getColormap(TC_DEFAULT, skincolor_redteam))
	kFuncs.drawNum(v, x + 22, y, redscore, {flags = flags, font = "K_THNNUM", pad = 6, space = 4})

	y = $ + 14
	
	v.draw(x, y, v.cachePatch("K_SMOLSTK"), flags, nil)
	v.draw(x + 6, y - 2, v.cachePatch("KF_BUMP"), flags, v.getColormap(TC_DEFAULT, skincolor_blueteam))
	kFuncs.drawNum(v, x + 22, y, bluescore, {flags = flags, font = "K_THNNUM", pad = 6, space = 4})

	x = $ + 60
	y = $ - 7
	
	if (pointlimit) then
		v.draw(x, y, v.cachePatch("K_SMOLSTK"), flags, nil)
		v.draw(x + 6, y - 2, v.cachePatch("KF_SPB"), flags, v.getColormap(TC_DEFAULT, skincolor_redflash))
		
		kFuncs.drawNum(v, x + 22, y, pointlimit, {flags = flags, font = "K_THNNUM", pad = 6, space = 4})
	end
end
hud.add(drawTeamInfo, "game")

--//